Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.admin.jmx
Class JmxHeuristicTransaction

    java.lang.Object
      com.atomikos.icatch.admin.jmx.JmxTransaction
          com.atomikos.icatch.admin.jmx.JmxHeuristicTransaction

All Implemented Interfaces:
  JmxHeuristicTransactionMBean, JmxTransactionMBean, MBeanRegistration

    public class JmxHeuristicTransaction

extends JmxTransaction
implements JmxHeuristicTransactionMBean

An MBean wrapper for a heuristic AdminTransaction.

Constructor Summary
`JmxHeuristicTransaction(AdminTransaction adminTransaction)`

Method Summary
`void` | `forceForget()` Forces the system to forget about the transaction.
`boolean` | `getCommitted()` Tests if the transaction's 2PC outcome was commit.

Methods inherited from class com.atomikos.icatch.admin.jmx.JmxTransaction
`convertHeuristicMessages, convertState, getAdminTransaction, getHeuristicMessages, getState, getTags, getTid, postDeregister, postRegister, preDeregister, preRegister, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atomikos.icatch.admin.jmx.JmxTransactionMBean
`getHeuristicMessages, getState, getTags, getTid`

Constructor Detail

### JmxHeuristicTransaction

    public JmxHeuristicTransaction(AdminTransaction adminTransaction)

Parameters:
  `adminTransaction` - The instance to wrap

Method Detail

### getCommitted

    public boolean getCommitted()

  Description copied from interface: `JmxHeuristicTransactionMBean`
  Tests if the transaction's 2PC outcome was commit. Needed especially for the heuristic states, if the desired outcome (instead of the actual state) needs to be retrieved. For instance, if the state is STATE_HEUR_HAZARD then extra information is needed for determining if the desired outcome was commit or rollback. This method helps here.

  Specified by:
    `getCommitted` in interface `JmxHeuristicTransactionMBean`
  Returns:
    boolean True iff commit decided (either heuristically or by the super coordinator.
  See Also:
    `com.atomikos.icatch.admin.jmx.JmxHeuristicTransactionMBean#wasCommitted()`

### forceForget

    public void forceForget()

  Description copied from interface: `JmxHeuristicTransactionMBean`
  Forces the system to forget about the transaction.

  Specified by:
    `forceForget` in interface `JmxHeuristicTransactionMBean`
  See Also:
    `JmxHeuristicTransactionMBean.forceForget()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.